import request from '@/utils/request'

// 查询排产计划列表
export function listPlan(query) {
  return request({
    url: '/system/plan/list',
    method: 'get',
    params: query
  })
}

// 查询排产计划详细
export function getPlan(id) {
  return request({
    url: '/system/plan/' + id,
    method: 'get'
  })
}

// 新增排产计划
export function addPlan(data) {
  return request({
    url: '/system/plan',
    method: 'post',
    data: data
  })
}

// 修改排产计划
export function updatePlan(data) {
  return request({
    url: '/system/plan',
    method: 'put',
    data: data
  })
}

// 删除排产计划
export function delPlan(id) {
  return request({
    url: '/system/plan/' + id,
    method: 'delete'
  })
}

// 更新图纸计划时间
export function updateTimeRange(data) {
  return request({
    url: '/system/plan/updateTimeRange/',
    method: 'post',
    data:data
  })
}

// 更新装配状态(领料,制造)
export function updateZPStatus(data) {
  return request({
    url: '/system/plan/updateZPStatus/',
    method: 'post',
    data:data
  })
}


